com.verisign.epp.codec.registry

## Class EPPRegistryZoneList

- java.lang.Object
- - com.verisign.epp.codec.registry.EPPRegistryZoneList

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPRegistryZoneList
      extends java.lang.Object
      implements EPPCodecComponent

  Represents a list of zone summary info. Upon receiving an <info> command, with a <registry:all> element in it, the server puts a <registry:zoneList> element in the response. The list contains the zone summary attributes of supported zones. Use `setZoneList` and `getZoneList` to set and get zone list; use `addZone` to add zone to existing list; and use `setZone` to add one zone in the zone list ( `setZone` will empty the existing zone list).
  Each element in the list contains the following info:
  - <registry:name> - fully qualified name of the zone
  - <registry:crDate> - date of zone object creation
  - <registry:upDate> - optional date of last update
  See Also:
    `EPPRegistryZone`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPRegistryZoneList()` Default constructor.
    `EPPRegistryZoneList(EPPRegistryZone zoneSummary)` Constructor that takes one `EPPRegistryZone` instance.
    `EPPRegistryZoneList(java.util.List zoneList)` Constructor that takes a zone list.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTld(EPPRegistryZone zone)` Deprecated. As of v1.2, use `addZone(EPPRegistryZone)`
    `void` | `addZone(EPPRegistryZone zone)` Append one zone to the existing zone list.
    `java.lang.Object` | `clone()` Clone `EPPRegistryZoneList`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the EPPRegistryZoneList attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the EPPRegistryZoneList instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPRegistryZoneList` compare.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.util.List` | `getZoneList()` Get the zone summary list.
    `void` | `setZone(EPPRegistryZone zone)` Clear the existing zone list and add add one zone to the list
    `void` | `setZoneList(java.util.List zoneList)` Set the zone summary list.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPRegistryZoneList

          public EPPRegistryZoneList()

      Default constructor. `zoneList` is initialized as an empty `List`.

    - #### EPPRegistryZoneList

          public EPPRegistryZoneList(java.util.List zoneList)

      Constructor that takes a zone list.
      Parameters:
        `zoneList` - `List` of zone summary

    - #### EPPRegistryZoneList

          public EPPRegistryZoneList(EPPRegistryZone zoneSummary)

      Constructor that takes one `EPPRegistryZone` instance. `zoneList` is initialized to have one element.
      Parameters:
        `zoneSummary` - summary attributes of one zone

  - ### Method Detail

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the EPPRegistryZoneList instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the EPPRegistryZoneList instance.
      Throws:
        `EPPEncodeException` - - Unable to encode EPPRegistryZoneList instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the EPPRegistryZoneList attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - - Root DOM Element to decode EPPRegistryZoneList from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPRegistryZoneList` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPRegistryZoneList` instance to compare with
      Returns:
        `true` if this object is the same as the aObject argument; `false` otherwise

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPRegistryZoneList`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPRegistryZoneList`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getZoneList

          public java.util.List getZoneList()

      Get the zone summary list.
      Returns:
        `List` of `EPPRegistryZone`

    - #### setZoneList

          public void setZoneList(java.util.List zoneList)

      Set the zone summary list.
      Parameters:
        `zoneList` - `List` of `EPPRegistryZone`

    - #### addZone

          public void addZone(EPPRegistryZone zone)

      Append one zone to the existing zone list.
      Parameters:
        `zone` - zone to add

    - #### setZone

          public void setZone(EPPRegistryZone zone)

      Clear the existing zone list and add add one zone to the list
      Parameters:
        `zone` - zone to add

    - #### addTld

          @Deprecated
          public void addTld(EPPRegistryZone zone)

      Deprecated. As of v1.2, use `addZone(EPPRegistryZone)`
      Append one zone to the existing zone list.
      Parameters:
        `zone` - zone to add

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.